<template>    
  <div class="title-shape mb-4" v-bind:class="[align == 'left'? 'text-left' : (align == 'right'? 'text-right' : 'text-center')]">
    <h2 class="mb-3">{{ title }}</h2>
    <div v-if="line !== false" class="line-shape mx-auto"></div>
  </div>
</template>

<script>
export default {
    name: 'TitleShape',
    props: ['title', 'align', 'line']
}
</script>

<style lang="scss">

@import '@/assets/custom-vars.scss';

.title-shape > h2 {
    font-weight: 300;
    color: $primary;
    font-size: 3rem;
    margin: 0;
}

.title-shape.md > h2 {
    font-size: 1.5rem;
}

.line-shape {
    width: 5rem;
    height: 0.2rem;
    background-color: $secondary;
}

.title-shape.md > .line-shape {
  width: 2.5rem;
}
</style>